import { action, observable, decorate } from 'mobx';
import { createContext } from 'react';

export class AuthStore {
    @observable apiVersion: string = 'ho';

    @action fetchApiVersion() {
        this.apiVersion = 'ha';
    }
}

export const authStore = new AuthStore();
export const authStoreContext = createContext<AuthStore>(authStore);    